> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all webhooks of a space

GET https://api.contentful.com/spaces/{space_id}/webhook_definitions

Reference: https://contentful.com/developers/docs/references/content-management-api/webhooks/get-all-webhooks-of-a-space

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .webhooks()
    .async()
    .fetchAll(
        "<space_id>",
        new CMACallback<CMAArray<CMAWebhook>>() {
          @Override protected void onSuccess(CMAArray<CMAWebhook> result) {
            // All the webhooks will be stored in the array passed in as a parameter.
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Fetching all the webhooks was successful." +
                    "\n\nResult: " + result.getItems())
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch the webhooks." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAArray<CMAWebhook> array =
    client
        .webhooks()
        .fetchAll("<space_id>");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val array = client
        .webhooks()
        .fetchAll("<space_id>")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getWebhooks())
.then((response) => console.log(response.items))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})


const webhooks = await client.webhook.getMany({
  spaceId: '<space_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$space = $client->getSpaceProxy('<space_id>');

$webhooks = $space->getWebhooks();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

webhooks = client.webhooks('<space_id>').all
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

webhooks = client.webhooks('<space_id>').all()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var allWebhooks = await client.GetWebhooksCollection();
```